--- old/usr/src/man/man3tecla/cpl_complete_word.3tecla	Sat Jan 18 13:36:57 2020
+++ new/usr/src/man/man3tecla/cpl_complete_word.3tecla	Sat Jan 18 13:36:57 2020
@@ -24,7 +24,7 @@
 .\" or other dealings in this Software without prior written authorization
 .\" of the copyright holder.
 .\" Portions Copyright (c) 2007, Sun Microsystems, Inc. All Rights Reserved.
-.TH CPL_COMPLETE_WORD 3TECLA "Jun 1, 2004"
+.TH CPL_COMPLETE_WORD 3TECLA "January 18, 2020"
 .SH NAME
 cpl_complete_word, cfc_file_start, cfc_literal_escapes, cfc_set_check_fn,
 cpl_add_completion, cpl_file_completions, cpl_last_error, cpl_list_completions,
@@ -32,7 +32,6 @@
 del_WordCompletion, new_CplFileConf, new_WordCompletion \- look up possible
 completions for a word
 .SH SYNOPSIS
-.LP
 .nf
 cc [ \fIflag\fR\&.\|.\|. ] \fIfile\fR\&.\|.\|. \fB-ltecla\fR [ \fIlibrary\fR\&.\|.\|. ]
 #include <stdio.h>
@@ -116,8 +115,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
-.LP
 The \fBcpl_complete_word()\fR function is part of the \fBlibtecla\fR(3LIB)
 library. It is usually called behind the scenes by \fBgl_get_line\fR(3TECLA),
 but can also be called separately.
@@ -181,7 +178,7 @@
 \fIword_end\fR if a zero-length string is being completed. The \fIsuffix\fR
 argument is the string that would have to be appended to the incomplete word to
 complete it. If this needs any quoting (for example, the addition of
-backslashes before special charaters) to be valid within the displayed input
+backslashes before special characters) to be valid within the displayed input
 line, this should be included. A copy of the suffix string is allocated
 internally, so there is no need to maintain your copy of the string after
 \fBcpl_add_completion()\fR returns.
@@ -189,16 +186,16 @@
 .LP
 In the array of possible completions that the \fBcpl_complete_word()\fR
 function returns, the suffix recorded by \fBcpl_add_completion()\fR is listed
-along with the concatentation of this suffix with the word that lies between
+along with the concatenation of this suffix with the word that lies between
 \fIword_start\fR and \fIword_end\fR in the input line.
 .sp
 .LP
 The \fItype_suffix\fR argument specifies an optional string to be appended to
 the completion if it is displayed as part of a list of completions by
-\fIcpl_list_completions\fR. The intention is that this indicate to the user the
+\fIcpl_list_completions\fR. The intention is that this indicates to the user the
 type of each completion. For example, the file completion function places a
 directory separator after completions that are directories, to indicate their
-nature to the user. Similary, if the completion were a function, you could
+nature to the user. Similarly, if the completion were a function, you could
 indicate this to the user by setting \fItype_suffix\fR to "()". Note that the
 \fItype_suffix\fR string is not copied, so if the argument is not a literal
 string between speech marks, be sure that the string remains valid for at least
@@ -214,7 +211,7 @@
 similarly aid the user by arranging for an open parenthesis to be appended.
 .sp
 .LP
-The \fBcpl_complete_word()\fR is normally called behind the scenes by
+The \fBcpl_complete_word()\fR function is normally called behind the scenes by
 \fBgl_get_line\fR(3TECLA), but can also be called separately if you separately
 allocate a \fBWordCompletion\fR object. It performs word completion, as
 described at the beginning of this section. Its first argument is a resource
@@ -277,7 +274,7 @@
 .sp
 .LP
 The \fBcpl_last_error()\fR function returns a terse description of the error
-which occurred on the last call to \fBcpl_com plete_word()\fR or
+which occurred on the last call to \fBcpl_complete_word()\fR or
 \fBcpl_add_completion()\fR.
 .sp
 .LP
@@ -295,9 +292,7 @@
 that were recorded with each completion, thus indicating their types to the
 user.
 .SS "Builtin Filename completion Callback"
-.sp
-.LP
-By default the \fBgl_get_line()\fR function, passes the
+By default the \fBgl_get_line()\fR function passes the
 \fBCPL_MATCH_FN\fR(\fBcps_file_completions\fR) completion callback function to
 \fBcpl_complete_word()\fR. This function can also be used separately, either by
 sending it to \fBcpl_complete_word()\fR, or by calling it directly from your
@@ -343,7 +338,7 @@
 it, such as a space which should be taken as part of the filename rather than
 delimiting the start of the filename. These backslashes are thus ignored while
 looking for completions, and subsequently added before spaces, tabs and literal
-back slashes in the list of completions. To have unescaped back slashes treated
+backslashes in the list of completions. To have unescaped backslashes treated
 as normal characters, call \fBcfc_literal_escapes()\fR with a non-zero value in
 its \fIliteral\fR argument.
 .sp
@@ -377,8 +372,8 @@
 .LP
 The \fBcpl_check_exe()\fR function is a provided callback of the above type,
 for use with \fBcpl_file_completions()\fR. It returns non-zero if the filename
-that it is given represents a normal file that the user has execute permission
-to. You could use this to have \fBcpl_file_completions()\fR only list
+that it is given represents a normal file that the user has permission to
+execute. You could use this to have \fBcpl_file_completions()\fR only list
 completions of executable files.
 .sp
 .LP
@@ -385,15 +380,11 @@
 When you have finished with a \fBCplFileConf\fR variable, you can pass it to
 the \fBdel_CplFileConf()\fR destructor function to reclaim its memory.
 .SS "Thread Safety"
-.sp
-.LP
 It is safe to use the facilities of this module in multiple threads, provided
 that each thread uses a separately allocated \fBWordCompletion\fR object. In
 other words, if two threads want to do word completion, they should each call
 \fBnew_WordCompletion()\fR to allocate their own completion objects.
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -410,7 +401,5 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBef_expand_file\fR(3TECLA), \fBgl_get_line\fR(3TECLA), \fBlibtecla\fR(3LIB),
 \fBpca_lookup_file\fR(3TECLA), \fBattributes\fR(5)
--- old/usr/src/man/man3tecla/gl_get_line.3tecla	Sat Jan 18 13:36:57 2020
+++ new/usr/src/man/man3tecla/gl_get_line.3tecla	Sat Jan 18 13:36:57 2020
@@ -25,7 +25,7 @@
 .\" or other dealings in this Software without prior written authorization
 .\" of the copyright holder.
 .\" Portions Copyright (c) 2007, Sun Microsystems, Inc. All Rights Reserved.
-.TH GL_GET_LINE 3TECLA "April 9, 2016"
+.TH GL_GET_LINE 3TECLA "January 18, 2020"
 .SH NAME
 gl_get_line, new_GetLine, del_GetLine, gl_customize_completion,
 gl_change_terminal, gl_configure_getline, gl_load_history, gl_save_history,
@@ -39,7 +39,6 @@
 gl_erase_terminal, gl_automatic_history, gl_append_history, gl_query_char,
 gl_read_char \- allow the user to compose an input line
 .SH SYNOPSIS
-.LP
 .nf
 cc [ \fIflag\fR\&.\|.\|. ] \fIfile\fR\&.\|.\|. \fB-ltecla\fR [ \fIlibrary\fR\&.\|.\|. ]
 #include <stdio.h>
@@ -267,7 +266,6 @@
 .fi
 
 .SH DESCRIPTION
-.LP
 The \fBgl_get_line()\fR function is part of the \fBlibtecla\fR(3LIB) library.
 If the user is typing at a terminal, each call prompts them for a line of
 input, then provides interactive editing facilities, similar to those of the
@@ -277,7 +275,6 @@
 command-line editing features and all user configuration options can be found
 on the \fBtecla\fR(5) manual page.
 .SS "An Example"
-.LP
 The following shows a complete example of how to use the \fBgl_get_line()\fR
 function to get input from the user:
 .sp
@@ -322,7 +319,6 @@
 \fBgl_get_line()\fR, said function will complain, and return an error, instead
 of attempting to use the deleted resource object.
 .SS "The Functions Used In The Example"
-.LP
 The \fBnew_GetLine()\fR function creates the resources used by the
 \fBgl_get_line()\fR function and returns an opaque pointer to the object that
 contains them. The maximum length of an input line is specified by the
@@ -375,7 +371,6 @@
 makes \fBgl_get_line()\fR similar to \fBfgets\fR(3C). When \fBstdin\fR is not
 connected to a terminal, \fBgl_get_line()\fR simply calls \fBfgets()\fR.
 .SS "The Return Status Of \fBgl_get_line()\fR"
-.LP
 The \fBgl_get_line()\fR function has two possible return values: a pointer to
 the completed input line, or \fINULL\fR. Additional information about what
 caused \fBgl_get_line()\fR to return is available both by inspecting
@@ -433,7 +428,7 @@
 \fB\fBGLR_FDABORT\fR\fR
 .ad
 .RS 15n
-An application I/O callback returned \fBGLFD_ABORT\fR. Ssee
+An application I/O callback returned \fBGLFD_ABORT\fR. See
 \fBgl_watch_fd()\fR.
 .RE
 
@@ -475,7 +470,6 @@
 and the return value will be a pointer to the first element of this buffer. If
 the message will not fit in the provided buffer, it will be truncated to fit.
 .SS "Optional Prompt Formatting"
-.LP
 Whereas by default the prompt string that you specify is displayed literally
 without any special interpretation of the characters within it, the
 \fBgl_prompt_style()\fR function can be used to enable optional formatting
@@ -632,7 +626,6 @@
 .RE
 
 .SS "Alternate Configuration Sources"
-.LP
 By default users have the option of configuring the behavior of
 \fBgl_get_line()\fR with a configuration file called \fB\&.teclarc\fR in their
 home directories. The fact that all applications share this same configuration
@@ -681,7 +674,7 @@
 \fB/usr/share/myapp/teclarc\fR, then finally reads user-specific configuration
 commands from an optional \fB\&.teclarc\fR file in the user's home directory.
 Note that the arguments are listed in ascending order of priority, with the
-contents of \fIapp_string\fR being potentially over riden by commands in
+contents of \fIapp_string\fR being potentially overridden by commands in
 \fIapp_file\fR, and commands in \fIapp_file\fR potentially being overridden by
 commands in \fIuser_file\fR.
 .sp
@@ -731,7 +724,6 @@
 action to bind the key sequence to, or it must be \fINULL\fR or \fB""\fR to
 unbind the key sequence.
 .SS "Customized Word Completion"
-.LP
 If in your application you would like to have TAB completion complete other
 things in addition to or instead of filenames, you can arrange this by
 registering an alternate completion callback function with a call to the
@@ -756,15 +748,15 @@
 as an argument, by calling the \fBcpl_add_completion()\fR function. If the
 callback function wants to provide filename completion in addition to its own
 specific completions, it has the option of itself calling the builtin filename
-completion callback. This also is documented on the
+completion callback. This is also documented in the
 \fBcpl_complete_word\fR(3TECLA) manual page.
 .sp
 .LP
 If you would like \fBgl_get_line()\fR to return the current input line when a
-successful completion is been made, you can arrange this when you call
+successful completion has been made, you can arrange this when you call
 \fBcpl_add_completion()\fR by making the last character of the continuation
 suffix a newline character. The input line will be updated to display the
-completion, together with any contiuation suffix up to the newline character,
+completion, together with any continuation suffix up to the newline character,
 and \fBgl_get_line()\fR will return this input line.
 .sp
 .LP
@@ -774,7 +766,6 @@
 notify \fBgl_get_line()\fR that the input line will need to be redrawn when the
 callback returns.
 .SS "Adding Completion Actions"
-.LP
 In the previous section the ability to customize the behavior of the only
 default completion action, complete-word, was described. In this section the
 ability to install additional action functions, so that different types of word
@@ -799,7 +790,7 @@
 .sp
 .LP
 Beware that in order for the user to be able to change the key sequence that is
-bound to actions that are installed in this manner, you shouldcall
+bound to actions that are installed in this manner, you should call
 \fBgl_completion_action()\fR to install a given action for the first time
 between calling \fBnew_GetLine()\fR and the first call to \fBgl_get_line()\fR.
 Otherwise, when the user's configuration file is read on the first call to
@@ -811,7 +802,6 @@
 needs to write anything to the terminal, it must call \fBgl_normal_io()\fR
 before doing so.
 .SS "Defining Custom Actions"
-.LP
 Although the built-in key-binding actions are sufficient for the needs of most
 applications, occasionally a specialized application may need to define one or
 more custom actions, bound to application-specific key sequences. For example,
@@ -937,7 +927,6 @@
 this to work, it is necessary to call \fBgl_register_action()\fR between
 calling \fBnew_GetLine()\fR and the first call to \fBgl_get_line()\fR.
 .SS "History Files"
-.LP
 To save the contents of the history buffer before quitting your application and
 subsequently restore them when you next start the application, the
 \fBgl_save_history()\fR and \fBgl_load_history()\fR functions are provided.
@@ -966,11 +955,10 @@
 the most recent lines should be saved.
 .sp
 .LP
-Both fuctions return non-zero on error, after writing an error message to
+Both functions return non-zero on error, after writing an error message to
 \fBstderr\fR. Note that \fBgl_load_history()\fR does not consider the
 non-existence of a file to be an error.
 .SS "Multiple History Lists"
-.LP
 If your application uses a single \fBGetLine\fR object for entering many
 different types of input lines, you might want \fBgl_get_line()\fR to
 distinguish the different types of lines in the history list, and only recall
@@ -993,7 +981,6 @@
 a historical input line, it only recalls lines that are marked with the current
 identifier.
 .SS "Displaying History"
-.LP
 The history list can be displayed by calling \fBgl_show_history()\fR. This
 function displays the current contents of the history list to the \fBstdio\fR
 output stream \fIfp\fR. If the \fImax_lines\fR argument is greater than or
@@ -1071,7 +1058,6 @@
 .LP
 Note the inclusion of an explicit newline character in the format string.
 .SS "Looking Up History"
-.LP
 The \fBgl_lookup_history()\fR function allows the calling application to look
 up lines in the history list.
 .sp
@@ -1092,7 +1078,6 @@
 on the next call to any function that takes \fIgl\fR as its argument. Therefore
 you should make a private copy of this string if you need to keep it.
 .SS "Manual History Archival"
-.LP
 By default, whenever a line is entered by the user, it is automatically
 appended to the history list, just before \fBgl_get_line()\fR returns the line
 to the caller. This is convenient for the majority of applications, but there
@@ -1147,7 +1132,6 @@
 remains in a valid state to receive new history lines, so there is little harm
 in simply ignoring the return status of \fBgl_append_history()\fR.
 .SS "Miscellaneous History Configuration"
-.LP
 If you wish to change the size of the history buffer that was originally
 specified in the call to \fBnew_GetLine()\fR, you can do so with the
 \fBgl_resize_history()\fR function.
@@ -1192,7 +1176,6 @@
 be added to the history list, and history lookup key-bindings will act as
 though there is nothing in the history buffer.
 .SS "Querying History Information"
-.LP
 The configured state of the history list can be queried with the
 \fBgl_history_state()\fR function. On return, the status information is
 recorded in the variable pointed to by the \fIstate\fR argument.
@@ -1213,7 +1196,6 @@
 On return, the size information is recorded in the variable pointed to by the
 \fIsize\fR argument.
 .SS "Changing Terminals"
-.LP
 The \fBnew_GetLine()\fR constructor function assumes that input is to be read
 from \fBstdin\fR and output written to \fBstdout\fR. The following function
 allows you to switch to different input and output streams.
@@ -1239,7 +1221,6 @@
 you can do this by creating \fBstdio\fR stream wrappers using the POSIX
 \fBfdopen\fR(3C) function.
 .SS "External Event Handling"
-.LP
 By default, \fBgl_get_line()\fR does not return until either a complete input
 line has been entered by the user, or an error occurs. In programs that need to
 watch for I/O from other sources than the terminal, there are two options.
@@ -1380,7 +1361,6 @@
 and \fIevent\fR arguments, but with a \fIcallback\fR argument of 0. The
 \fIdata\fR argument is ignored in this case.
 .SS "Setting An Inactivity Timeout"
-.LP
 The \fBgl_inactivity_timeout()\fR function can be used to set or cancel an
 inactivity timeout. Inactivity in this case refers both to keyboard input, and
 to I/O on any file descriptors registered by prior and subsequent calls to
@@ -1474,7 +1454,6 @@
 To turn off timeouts, simply call \fBgl_inactivity_timeout()\fR with a
 \fIcallback\fR argument of 0. The \fIdata\fR argument is ignored in this case.
 .SS "Signal Handling Defaults"
-.LP
 By default, the \fBgl_get_line()\fR function intercepts a number of signals.
 This is particularly important for signals that would by default terminate the
 process, since the terminal needs to be restored to a usable state before this
@@ -1712,7 +1691,6 @@
 relinquishes the controlling terminal, so this is only a problem with older
 shells.
 .SS "Customized Signal Handling"
-.LP
 The previous section listed the signals that \fBgl_get_line()\fR traps by
 default, and described how it responds to them. This section describes how to
 both add and remove signals from the list of trapped signals, and how to
@@ -1865,7 +1843,7 @@
 effect as \fBGL_SUSPEND_INPUT\fR. Otherwise it will start writing on a line
 that already contains part of the displayed input line. This does not do any
 harm, but it looks a bit ugly, which is why the \fBGL_SUSPEND_INPUT\fR
-combination is better if you know that you are always going to be writting to
+combination is better if you know that you are always going to be writing to
 the terminal.
 .sp
 .LP
@@ -1913,7 +1891,6 @@
 have a way to distinguish between an input line that was entered using the
 return key, and one that was entered by the receipt of a signal.
 .SS "Reliable Signal Handling"
-.LP
 Signal handling is surprisingly hard to do reliably without race conditions. In
 \fBgl_get_line()\fR a lot of care has been taken to allow applications to
 perform reliable signal handling around \fBgl_get_line()\fR. This section
@@ -2127,7 +2104,6 @@
 and handle them synchronously, one at a time, at a point in the code where
 \fBgl_get_line()\fR has complete control over its environment.
 .SS "The Terminal Size"
-.LP
 On most systems the combination of the \fBTIOCGWINSZ\fR ioctl and the
 \fBSIGWINCH\fR signal is used to maintain an accurate idea of the terminal
 size. The terminal size is newly queried every time that \fBgl_get_line()\fR is
@@ -2178,7 +2154,6 @@
 of terminal columns and lines to use if the terminal size cannot be determined
 by ioctl(\fBTIOCGWINSZ\fR) or environment variables.
 .SS "Hiding What You Type"
-.LP
 When entering sensitive information, such as passwords, it is best not to have
 the text that you are entering echoed on the terminal. Furthermore, such text
 should not be recorded in the history list, since somebody finding your
@@ -2205,7 +2180,6 @@
 complete your prefix as far as possible, ambiguous completions will not be
 displayed.
 .SS "Single Character Queries"
-.LP
 Using \fBgl_get_line()\fR to query the user for a single character reply, is
 inconvenient for the user, since they must hit the enter or return key before
 the character that they typed is returned to the program. Thus the
@@ -2253,7 +2227,6 @@
 displayed. The next call to \fBgl_get_line()\fR will thus start editing a new
 line.
 .SS "Reading Raw Characters"
-.LP
 Whereas the \fBgl_query_char()\fR function visibly prompts the user for a
 character, and displays what they typed, the \fBgl_read_char()\fR function
 reads a signal character from the user, without writing anything to the
@@ -2275,13 +2248,11 @@
 usually generate at least three characters each, so a single call to
 \fBgl_read_char()\fR will not be enough to identify such keystrokes.
 .SS "Clearing The Terminal"
-.LP
 The calling program can clear the terminal by calling
 \fBgl_erase_terminal()\fR. In non-blocking server-I/O mode, this function also
 arranges for the current input line to be redrawn from scratch when
 \fBgl_get_line()\fR is next called.
 .SS "Displaying Text Dynamically"
-.LP
 Between calls to \fBgl_get_line()\fR, the \fBgl_display_text()\fR function
 provides a convenient way to display paragraphs of text, left-justified and
 split over one or more terminal lines according to the constraints of the
@@ -2324,7 +2295,6 @@
 .LP
 On error, \fBgl_display_text()\fR returns -1.
 .SS "Callback Function Facilities"
-.LP
 Unless otherwise stated, callback functions such as tab completion callbacks
 and event callbacks should not call any functions in this module. The following
 functions, however, are designed specifically to be used by callback functions.
@@ -2338,7 +2308,6 @@
 input line will be re-drawn with the new prompt on the following call to
 \fBgl_get_line()\fR.
 .SS "International Character Sets"
-.LP
 Since \fBlibtecla\fR(3LIB) version 1.4.0, \fBgl_get_line()\fR has been 8-bit
 clean. This means that all 8-bit characters that are printable in the user's
 current locale are now displayed verbatim and included in the returned input
@@ -2372,7 +2341,6 @@
 at the shell prompt. Further documentation on how the user can make use of this
 to enter international characters can be found in the \fBtecla\fR(5) man page.
 .SS "Thread Safety"
-.LP
 Unfortunately neither \fBterminfo\fR nor \fBtermcap\fR were designed to be
 reentrant, so you cannot safely use the functions of the getline module in
 multiple threads (you can use the separate file-expansion and word-completion
@@ -2382,7 +2350,6 @@
 multi-threaded program, provided that your other threads do not use any
 \fBtermcap\fR or \fBterminfo\fR functions.
 .SH ATTRIBUTES
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -2399,7 +2366,6 @@
 .TE
 
 .SH SEE ALSO
-.LP
 \fBcpl_complete_word\fR(3TECLA), \fBef_expand_file\fR(3TECLA),
 \fBgl_io_mode\fR(3TECLA), \fBlibtecla\fR(3LIB), \fBpca_lookup_file\fR(3TECLA),
 \fBattributes\fR(5), \fBtecla\fR(5)
--- old/usr/src/man/man3tecla/gl_io_mode.3tecla	Sat Jan 18 13:36:58 2020
+++ new/usr/src/man/man3tecla/gl_io_mode.3tecla	Sat Jan 18 13:36:58 2020
@@ -25,13 +25,12 @@
 .\" or other dealings in this Software without prior written authorization
 .\" of the copyright holder.
 .\" Portions Copyright (c) 2007, Sun Microsystems, Inc. All Rights Reserved.
-.TH GL_IO_MODE 3TECLA "Jun 1, 2004"
+.TH GL_IO_MODE 3TECLA "January 18, 2020"
 .SH NAME
 gl_io_mode, gl_raw_io, gl_normal_io, gl_tty_signals, gl_abandon_line,
 gl_handle_signal, gl_pending_io \- use \fBgl_get_line()\fR from an external
 event loop
 .SH SYNOPSIS
-.LP
 .nf
 cc [ \fIflag\fR\&.\|.\|. ] \fIfile\fR\&.\|.\|. \fB-ltecla\fR [ \fIlibrary\fR\&.\|.\|. ]
 #include <libtecla.h>
@@ -71,8 +70,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
-.LP
 The \fBgl_get_line\fR(3TECLA) function supports two different I/O modes. These
 are selected by calling the \fBgl_io_mode()\fR function. The \fImode\fR
 argument of \fBgl_io_mode()\fR specifies the new I/O mode and must be one of
@@ -103,11 +100,9 @@
 Newly created GetLine objects start in normal I/O mode, so to switch to
 non-blocking server mode requires an initial call to \fBgl_io_mode()\fR.
 .SS "Server I/O Mode"
-.sp
-.LP
 In non-blocking server I/O mode, the application is required to have an event
 loop that calls \fBgl_get_line()\fR whenever the terminal file descriptor can
-perform the type I/O that \fBgl_get_line()\fR is waiting for. To determine
+perform the type of I/O that \fBgl_get_line()\fR is waiting for. To determine
 which type of I/O \fBgl_get_line()\fR is waiting for, the application calls the
 \fBgl_pending_io()\fR function.  The return value is one of the following two
 enumerated values.
@@ -126,7 +121,7 @@
 \fB\fBGLP_WRITE\fR\fR
 .ad
 .RS 13n
-\fBgl_get_line()\fR is waiting to read a character from the keyboad.
+\fBgl_get_line()\fR is waiting to read a character from the keyboard.
 .RE
 
 .sp
@@ -162,8 +157,6 @@
 edited, you can call the \fBgl_replace_prompt\fR(3TECLA) function between calls
 to \fBgl_get_line()\fR.
 .SS "Giving Up The Terminal"
-.sp
-.LP
 A complication that is unique to non-blocking server mode is that it requires
 that the terminal be left in raw mode between calls to \fBgl_get_line()\fR. If
 this were not the case, the external event loop would not be able to detect
@@ -199,8 +192,6 @@
 \fBgl_get_line()\fR will call \fBgl_raw_mode()\fR itself, and the terminal will
 remain in this mode when \fBgl_get_line()\fR returns.
 .SS "Signal Handling"
-.sp
-.LP
 In the previous section it was pointed out that in non-blocking server mode,
 the terminal must be restored to a sane state whenever a signal is received
 that either suspends or terminates the process. In normal I/O mode, this is
@@ -289,8 +280,6 @@
 Depending on the signal that is being handled, this function does different
 things.
 .SS "Process termination signals"
-.sp
-.LP
 If the signal that was caught is one of those that by default terminates any
 process that receives it, then \fBgl_handle_signal()\fR does the following
 steps.
@@ -325,8 +314,6 @@
 being terminated.
 .RE
 .SS "Process suspension signals"
-.sp
-.LP
 If the default disposition of the signal is to suspend the process, the same
 steps are executed as for process termination signals, except that when the
 process is later resumed, \fBgl_handle_signal()\fR continues, and does the
@@ -367,8 +354,6 @@
 signal, the program responded by sending itself a \fBSIGKILL\fR signal, and the
 shell then printed out the provocative statement, "Killed!".
 .SS "Interrupting The Event Loop"
-.sp
-.LP
 If a signal is caught and handled when the application's event loop is waiting
 in \fBselect()\fR or \fBpoll()\fR, these functions will be aborted with
 \fBerrno\fR set to \fBEINTR\fR. When this happens the event loop should call
@@ -465,7 +450,7 @@
 .RS +4
 .TP
 11.
-Check wether a signal was caught, by checking the file-scope variable that
+Check whether a signal was caught, by checking the file-scope variable that
 the signal handler records signal numbers in.
 .RE
 .RS +4
@@ -481,8 +466,6 @@
 Unblock all of the signals that were blocked in step 7.
 .RE
 .SS "Signals Caught By \fBgl_get_line()\fR"
-.sp
-.LP
 Since the application is expected to handle signals in non-blocking server
 mode, \fBgl_get_line()\fR does not attempt to duplicate this when it is being
 called. If one of the signals that it is configured to catch is sent to the
@@ -493,8 +476,6 @@
 returns \fINULL\fR, and a following call to \fBgl_return_status()\fR returns
 the enumerated value \fBGLR_SIGNAL\fR.
 .SS "Aborting Line Input"
-.sp
-.LP
 Often, rather than letting it terminate the process, applications respond to
 the \fBSIGINT\fR user-interrupt signal by aborting the current input line. This
 can be accomplished in non-blocking server-I/O mode by not calling
@@ -501,11 +482,9 @@
 \fBgl_handle_signal()\fR when this signal is caught, but by calling instead the
 \fBgl_abandon_line()\fR function. This function arranges that when
 \fBgl_get_line()\fR is next called, it first flushes any pending output to the
-terminal, discardes the current input line, outputs a new prompt on the next
+terminal, discards the current input line, outputs a new prompt on the next
 line, and finally starts accepting input of a new input line from the user.
 .SS "Signal Safe Functions"
-.sp
-.LP
 Provided that certain rules are followed, the \fBgl_normal_io()\fR,
 \fBgl_raw_io()\fR, \fBgl_handle_signal()\fR, and \fBgl_abandon_line()\fR
 functions can be written to be safely callable from signal handlers. Other
@@ -530,8 +509,6 @@
 handlers, that the signals that these handlers are assigned to are configured
 to be caught by \fBgl_get_line()\fR. See \fBgl_trap_signal\fR(3TECLA).
 .SS "Using Timeouts To Poll"
-.sp
-.LP
 If instead of using \fBselect()\fR or \fBpoll()\fR to wait for I/O your
 application needs only to get out of \fBgl_get_line()\fR periodically to
 briefly do something else before returning to accept input from the user, use
@@ -548,8 +525,6 @@
 typing, \fBgl_get_line()\fR might not return for a while. There is no guarantee
 that it will return in the time specified.
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -566,8 +541,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBcpl_complete_word\fR(3TECLA), \fBef_expand_file\fR(3TECLA),
 \fBgl_get_line\fR(3TECLA), \fBlibtecla\fR(3LIB), \fBpca_lookup_file\fR(3TECLA),
 \fBattributes\fR(5), \fBtecla\fR(5)
--- old/usr/src/man/man3tecla/pca_lookup_file.3tecla	Sat Jan 18 13:36:58 2020
+++ new/usr/src/man/man3tecla/pca_lookup_file.3tecla	Sat Jan 18 13:36:58 2020
@@ -24,7 +24,7 @@
 .\" or other dealings in this Software without prior written authorization
 .\" of the copyright holder.
 .\" Portions Copyright (c) 2007, Sun Microsystems, Inc. All Rights Reserved.
-.TH PCA_LOOKUP_FILE 3TECLA "Aug 13, 2007"
+.TH PCA_LOOKUP_FILE 3TECLA "January 18, 2020"
 .SH NAME
 pca_lookup_file, del_PathCache, del_PcaPathConf, new_PathCache,
 new_PcaPathConf, pca_last_error, pca_path_completions, pca_scan_path,
@@ -31,7 +31,6 @@
 pca_set_check_fn, ppc_file_start, ppc_literal_escapes \- lookup a file in a
 list of directories
 .SH SYNOPSIS
-.LP
 .nf
 cc [ \fIflag\fR\&.\|.\|. ] \fIfile\fR\&.\|.\|. \fB-ltecla\fR [ \fIlibrary\fR\&.\|.\|. ]
 #include <libtecla.h>
@@ -92,8 +91,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
-.LP
 The \fBPathCache\fR object is part of the \fBlibtecla\fR(3LIB) library.
 \fBPathCache\fR objects allow an application to search for files in any colon
 separated list of directories, such as the UNIX execution \fBPATH\fR
@@ -105,11 +102,9 @@
 for lookup and completion, but a versatile mechanism is provided for only
 selecting specific types of files. The obvious application of this facility is
 to provide Tab-completion and lookup of executable commands in the UNIX
-\fBPATH\fR, so an optional callback which rejects all but executable files, is
+\fBPATH\fR, so an optional callback which rejects all but executable files is
 provided.
 .SS "An Example"
-.sp
-.LP
 Under UNIX, the following example program looks up and displays the full
 pathnames of each of the command names on the command line.
 .sp
@@ -169,15 +164,11 @@
 .in -2
 
 .SS "Function Descriptions"
-.sp
-.LP
 To use the facilities of this module, you must first allocate a \fBPathCache\fR
 object by calling the \fBnew_PathCache()\fR constructor function. This function
 creates the resources needed to cache and lookup files in a list of
 directories. It returns \fINULL\fR on error.
 .SS "Populating The Cache"
-.sp
-.LP
 Once you have created a cache, it needs to be populated with files. To do this,
 call the \fBpca_scan_path()\fR function. Whenever this function is called, it
 discards the current contents of the cache, then scans the list of directories
@@ -195,8 +186,6 @@
 On success this function return 0. On error it returns 1, and a description of
 the error can be obtained by calling \fBpca_last_error\fR(\fIpc\fR).
 .SS "Looking Up Files"
-.sp
-.LP
 Once the cache has been populated with files, you can look up the full pathname
 of a file, simply by specifying its filename to \fBpca_lookup_file()\fR.
 .sp
@@ -210,8 +199,6 @@
 argument the value 0. Otherwise, if backslashes should be treated as normal
 characters, pass 1 for the value of the \fIliteral\fR argument.
 .SS "Filename Completion"
-.sp
-.LP
 Looking up the potential completions of a filename-prefix in the filename cache
 is achieved by passing the provided \fBpca_path_completions()\fR callback
 function to the \fBcpl_complete_word\fR(3TECLA) function.
@@ -250,8 +237,6 @@
 When you have finished with a \fBPcaPathConf\fR variable, you can pass it to
 the \fBdel_PcaPathConf()\fR destructor function to reclaim its memory.
 .SS "Being Selective"
-.sp
-.LP
 If you are only interested in certain types or files, such as, for example,
 executable files, or files whose names end in a particular suffix, you can
 arrange for the file completion and lookup functions to be selective in the
@@ -263,7 +248,7 @@
 callback returns 1 the filename will be reported as a match. If it returns 0,
 it will be ignored. Suitable callback functions and their prototypes should be
 declared with the following macro. The \fBCplCheckFn\fR typedef is also
-provided in case you wish to declare pointers to such functions
+provided in case you wish to declare pointers to such functions.
 .sp
 .in +2
 .nf
@@ -302,32 +287,24 @@
 accepted or rejected is used. Thus if somebody tries to complete an empty
 string, and hits tab a second time when nothing appears to happen, there will
 only be one long delay, since the second pass will operate entirely from the
-cached dispositions of the files. These cached dipositions are discarded
+cached dispositions of the files. These cached dispositions are discarded
 whenever \fBpca_scan_path()\fR is called, and whenever \fBpca_set_check_fn()\fR
 is called with changed callback function or \fIdata\fR arguments.
 .SS "Error Handling"
-.sp
-.LP
 If \fBpca_scan_path()\fR reports that an error occurred by returning 1, you can
 obtain a terse description of the error by calling
 \fBpca_last_error\fR(\fIpc\fR). This returns an internal string containing an
 error message.
 .SS "Cleaning Up"
-.sp
-.LP
 Once you have finished using a \fBPathCache\fR object, you can reclaim its
 resources by passing it to the \fBdel_PathCache()\fR destructor function. This
 takes a pointer to one of these objects, and always returns \fINULL\fR.
 .SS "Thread Safety"
-.sp
-.LP
 It is safe to use the facilities of this module in multiple threads, provided
 that each thread uses a separately allocated \fBPathCache\fR object. In other
 words, if two threads want to do path searching, they should each call
 \fBnew_PathCache()\fR to allocate their own caches.
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -344,7 +321,5 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBcpl_complete_word\fR(3TECLA), \fBef_expand_file\fR(3TECLA),
 \fBgl_get_line\fR(3TECLA), \fBlibtecla\fR(3LIB), \fBattributes\fR(5)
